Last Comment Bug 601919 - Remove all updates on SeaMonkey 2.1* for PPC
: Remove all updates on SeaMonkey 2.1* for PPC
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Release Engineering (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Robert Kaiser
:
Mentors:
Depends on: 588412
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 06:02 PDT by Robert Kaiser
Modified: 2010-10-05 17:44 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Robert Kaiser 2010-10-05 06:02:14 PDT
As PPC is broken now on trunk and we don't want people to get upgraded to broken stuff but don't have the infrastructure to safely de-support PPC, we need to care that those users don't get any updates on 2.1* builds any more.

This requires us to do something like bug 588412, we'll need to look into updating aus2-community for this.
Comment 1 Robert Kaiser 2010-10-05 17:44:21 PDT
Applied this patch to aus2-community:

Index: index.php
===================================================================
RCS file: /cvsroot/mozilla/webtools/aus/xml/index.php,v
retrieving revision 1.31
diff -u -8 -r1.31 index.php
--- index.php   4 Oct 2010 20:41:40 -0000       1.31
+++ index.php   6 Oct 2010 00:42:54 -0000
@@ -89,16 +89,25 @@
 // doesn't work on PPC.  See bug 588412.
 if ( $clean['product'] == 'Firefox'
      && (preg_match('/^4\.0.*$/', $clean['version']) || preg_match('/^3\.7.*$/', $clean['version']))
      && strpos($_SERVER['HTTP_USER_AGENT'], 'PPC')) {
         $xml->printXml();
         exit;
 }
 
+// Check to see if we have a 2.1 build on PPC, and if so don't update since beta 1
+// doesn't work on PPC.  See bug 601919.
+if ( $clean['product'] == 'SeaMonkey'
+     && preg_match('/^2\.1.*$/', $clean['version'])
+     && strpos($_SERVER['HTTP_USER_AGENT'], 'PPC')) {
+        $xml->printXml();
+        exit;
+}
+
  
 // Check to see if the user is explicitly requesting an update.  If they are,
 // skip throttling.  If they aren't, and throttling is enabled, first check
 // explicit throttling.  If no specific rules exist, fallback to global rules.
 // In either case, updates will be served based on the configured random seed.
 if ( (empty($_GET['force']) || $_GET['force']!=1) ) {
 
     // Default to false.  If conditions are met, flip it.

Note You need to log in before you can comment on or make changes to this bug.